=== libsysfs/Makefile ===
# Makefile
#
# Copyright (C) 2003 Christophe Varoqui, <christophe.varoqui@free.fr>

include ../Makefile.inc

ifeq ($(strip $(BUILD)),klibc)
	CFLAGS = ${REQFLAGS} ${OPTFLAGS}
else
	CFLAGS =
endif

OBJS = dlist.o \
       sysfs_dir.o \
       sysfs_utils.o

prepare:
	rm -f core *.o *.gz

glibc: prepare $(OBJS)
	ar rs libsysfs-glibc.a *.o
	
klibc: prepare $(OBJS)
	ar rs libsysfs-klibc.a *.o

all: klibc

install:

uninstall:

clean:
	rm -f core *.a *.o *.gz
